# Delete an access schedule

`DELETE https://api.cademi.com.br/api/v3/products/{product_id}/access-schedules/{access_schedule_id}`

Operation ID: `products.access_schedules.delete` · API v3

Moves the access schedule to the trash.

The default access schedule cannot be deleted and returns the `state_conflict` error code. Access schedules in use by an active delivery cannot be deleted either, and replicated access schedules are read-only and return the `replica_readonly` error code.

Required permissions: `access_schedules.delete`.

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `product_id` | path | string | yes |  |
| `access_schedule_id` | path | string | yes |  |

## Responses

### 204

The access schedule was moved to the trash.

### 401

The credential is missing, malformed, expired, or revoked.

Body: Error.

### 403

The current credentials do not have the permission required by this operation.

Body: Error.

### 404

The access schedule was not found for this product or is not accessible with the current credentials.

Body: Error.

### 409

The access schedule is the product's default schedule and cannot be deleted.

Body: Error.

Full schema: https://cademi.dev/openapi/v3.json
